package com.ruoyi.common.core.domain.vo;

import com.google.gson.annotations.SerializedName;

public class TransportHeader {
    @SerializedName("SerialNum")
    private String serialNumber;
    @SerializedName("SystemId")
    private String systemId;
    @SerializedName("Source")
    private String source;
    @SerializedName("Target")
    private String target;
    @SerializedName("Version")
    private String version;
    @SerializedName("IPCType")
    private String ipcType;
    @SerializedName("ReqTime")
    private String reqTime;
    @SerializedName("CRC")
    private String crc;
    @SerializedName("ReqType")
    private String reqType;
    @SerializedName("Token")
    private String token;
    @SerializedName("Code")
    private String code;
    @SerializedName("Message")
    private String message;

    public TransportHeader(String serialNumber, String systemId, String source,
                  String target, String version, String ipcType,
                  String reqTime, String crc, String reqType,
                  String token, String code, String message) {
        // 实际字段初始化（原构造器实现为空）
        this.serialNumber = serialNumber;
        this.systemId = systemId;
        this.source = source;
        this.target = target;
        this.version = version;
        this.ipcType = ipcType;
        this.reqTime = reqTime;
        this.crc = crc;
        this.reqType = reqType;
        this.token = token;
        this.code = code;
        this.message = message;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getIpcType() {
        return ipcType;
    }

    public void setIpcType(String ipcType) {
        this.ipcType = ipcType;
    }

    public String getReqTime() {
        return reqTime;
    }

    public void setReqTime(String reqTime) {
        this.reqTime = reqTime;
    }

    public String getCrc() {
        return crc;
    }

    public void setCrc(String crc) {
        this.crc = crc;
    }

    public String getReqType() {
        return reqType;
    }

    public void setReqType(String reqType) {
        this.reqType = reqType;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}