package com.ruoyi.gateway.controller;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 认证Controller
 *
 * @author gx
 * @date 2023-09-13
 */
@Slf4j
@Validated
@RestController
@RequiredArgsConstructor
public class GatewayController {

    @GetMapping
    public String  hello() {
        return "gateway gateway gateway";
    }
}
