package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class BIndexUserVo implements Serializable
{
    private static final long serialVersionUID = 1L;

    private String id;

    private Long userId;
    /**
     * 用户名or货主名
     */
    private String userName;

    //货主月内货运量
    private Long totalWeight;



    //车主下拉框label
    private String label;

    //车主下拉框id
    private String value;

}
